=== debian/changelog ===
trustedqsl (2.3.1-1build2) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:53:40 +0000

trustedqsl (2.3.1-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:55:06 +0000

trustedqsl (2.3.1-1) unstable; urgency=medium

  * New upstream release
  * Debian packaging:
    - clean up old unused debian/patches (previously merged upstream)

 -- Kamal Mostafa <kamal@whence.com>  Mon, 11 Sep 2017 05:49:19 -0700
