=== debian/control ===
Source: trustedqsl
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Kamal Mostafa <kamal@whence.com>,
 Jaime Robles <jaime@debian.org>,
 Patrick Ouellette <pouelle@debian.org>,
 Jerry Stueve <k4int@arrl.net>,
 Colin Tuckley <colint@debian.org>,
Standards-Version: 4.3.0
Build-Depends:
 cmake,
 debhelper (>= 9),
 libcurl4-openssl-dev,
 libdb-dev,
 libexpat1-dev,
 libssl-dev,
 libwxgtk3.0-dev,
 zlib1g-dev,
Homepage: http://sourceforge.net/projects/trustedqsl/
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/trustedqsl.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/trustedqsl

Package: trustedqsl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QSL log signing for the Logbook of the World (LoTW)
 Open source libraries and utilities to support using digital signatures
 for amateur radio QSL information.
 .
 A QSL is a confirmation of contact between two amateur radio stations.
 The ARRL Logbook of the World project is a database which collects
 data about contacts between amateur stations (QSOs). This package
 provides the 'tqsl' program for maintaining your digital certificates
 for LoTW and signing and uploading QSO log files.
