## trustedqsl 2.4.7

=== debian/changelog ===
trustedqsl (2.4.7-2) unstable; urgency=medium

  * Rebuild against wxWidgets GTK 3. (Closes: #933437)
  * Remove apps/tqslbuild.h on clean, it's updated at build time with git
    information.
  * Run reprotest with diffoscope enabled.

 -- Christoph Berg <myon@debian.org>  Tue, 30 Jul 2019 22:21:00 +0200

trustedqsl (2.4.7-1) experimental; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Sun, 05 May 2019 17:43:25 +0200
