=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  Patrick Ouellette <pouelle@debian.org>,
  Jerry Stueve <k4int@arrl.net>,
  Colin Tuckley <colint@debian.org>,
+ Christoph Berg <myon@debian.org>,
 Standards-Version: 4.3.0
 Build-Depends:
  cmake,
@@ -16,7 +17,7 @@
  libdb-dev,
  libexpat1-dev,
  libssl-dev,
- libwxgtk3.0-dev,
+ libwxgtk3.0-gtk3-dev,
  zlib1g-dev,
 Homepage: http://sourceforge.net/projects/trustedqsl/
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/trustedqsl.git
