=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -97,6 +97,10 @@
 	add_definitions(-DTQSL_TEST_BUILD)
 endif()
 
+if(APPLE)
+	add_definitions(-DOSX_PLATFORM="${OSX_PLATFORM}")
+endif()
+
 if(WIN32)
 	set(TQSLLIB_NAME tqsllib2)
 	set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
@@ -112,7 +116,7 @@
 	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
 	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
 	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
-	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2018 American Radio Relay League")
+	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2019 American Radio Relay League")
 
 	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
 	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
