=== debian/changelog ===
trustedqsl (2.5.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:59 +0100

trustedqsl (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.5.1 (Closes: #944994)
  * Update to debhelper compat level 12
  * Refresh patches against new upstream version
  * Add a patch for typos in the source
  * Freshen dates in debian/copyright
  * Bump Standards-Version to 4.4.1
  * Set "Rules-Requires-Root: no" in debian/control
  * Set export DEB_BUILD_HARDENING=1 in debian/rules

 -- tony mancill <tmancill@debian.org>  Sun, 17 Nov 2019 20:53:28 -0800
