=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  Jerry Stueve <k4int@arrl.net>,
  Colin Tuckley <colint@debian.org>,
  Christoph Berg <myon@debian.org>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper-compat (= 12),
  libcurl4-openssl-dev,
  libdb-dev,
  libexpat1-dev,
@@ -22,6 +22,7 @@
 Homepage: http://sourceforge.net/projects/trustedqsl/
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/trustedqsl.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/trustedqsl
+Rules-Requires-Root: no
 
 Package: trustedqsl
 Architecture: any
