=== debian/watch ===
--- 
+++ 
@@ -7,4 +7,4 @@
 #http://sf.net/trustedqsl/tqsl-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
 
 # versions since 2.3 are distributed from www.arrl.org
-http://www.arrl.org/tqsl-download .*/tqsl-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
+https://www.arrl.org/tqsl-download .*/tqsl-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
