## trustedqsl 2.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,28 +6,27 @@
   ADD_COMPILE_OPTIONS("-fPIC")
 endif( CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64" )
 
-# Pre-set LIB_SUFFIX for 64-bit platforms
-IF (CMAKE_SHARED_LIBRARY_PREFIX STREQUAL "lib64")
+SET (LINUX FALSE)
+IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+    SET(LINUX TRUE)
+ENDIF ()
+
+SET (LIB_SUFFIX "")
+
+# Pre-set LIB_SUFFIX for 64-bit Linux platforms
+IF (LINUX AND CMAKE_SHARED_LIBRARY_PREFIX STREQUAL "lib64")
   SET (LIB_SUFFIX "64")
 ENDIF()
 
 # Make sure that there's a value for LIB_SUFFIX
-IF (NOT CMAKE_SHARED_LIBRARY_PREFIX AND NOT LIB_SUFFIX) 
-  IF (NOT APPLE)
+IF (LINUX AND NOT CMAKE_SHARED_LIBRARY_PREFIX AND NOT LIB_SUFFIX) 
   # check 64 bit
     IF (CMAKE_SIZEOF_VOID_P EQUAL 4)
       SET (LIB_SUFFIX "")
     ELSE (CMAKE_SIZEOF_VOID_P EQUAL 4)
       SET (LIB_SUFFIX "64")
     ENDIF (CMAKE_SIZEOF_VOID_P EQUAL 4)
-  ELSE (NOT APPLE)
-    SET (LIB_SUFFIX "")
-  ENDIF (NOT APPLE)
-  # BSD does not use lib64 for 64bit libs
-  IF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" OR ${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
-    SET (LIB_SUFFIX "")
-  ENDIF()
-ENDIF (NOT CMAKE_SHARED_LIBRARY_PREFIX AND NOT LIB_SUFFIX) 
+ENDIF (LINUX AND NOT CMAKE_SHARED_LIBRARY_PREFIX AND NOT LIB_SUFFIX) 
 
 if(WIN32)
   set(CMAKE_FIND_LIBRARY_SUFFIXES .lib .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
@@ -69,6 +68,72 @@
 	add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/share/TrustedQSL/\"")
 endif()
 
+# Get version number
+
+file(STRINGS "apps/tqslversion.ver" TQSLVERSION)
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\3" TQSL_VERSION_UPDATE ${TQSLVERSION})
+
+# Handle case where version number does not have an update i.e. 2.0
+if (TQSL_VERSION_MAJOR STREQUAL ${TQSLVERSION}) 
+	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
+	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
+	set(TQSL_VERSION_UPDATE "0")
+endif()
+
+#get build # with git
+
+find_program(GIT_PROG git "C:\\Program Files (x86)\\Git\\bin" "C:\\Program Files\\Git\\bin")
+
+if(GIT_PROG) #we can use git
+	execute_process(COMMAND ${GIT_PROG} describe RESULT_VARIABLE GITERROR ERROR_QUIET OUTPUT_VARIABLE HEAD_COMMIT OUTPUT_STRIP_TRAILING_WHITESPACE)
+	if(NOT GITERROR) #git ran alright
+		set(BUILD ${HEAD_COMMIT})
+	else()		# Git error - hope this is a source distro
+		if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h)
+			file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h BUILDSTR REGEX "\\[.*\\]")
+			string(REGEX REPLACE ".*\\[(.*)\\].*" "\\1" BUILD ${BUILDSTR})
+		endif()
+	endif()
+else()	# No git, again grab from source
+	if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h)
+		file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h BUILDSTR REGEX "\\[.*\\]")
+		string(REGEX REPLACE ".*\\[(.*)\\].*" "\\1" BUILD ${BUILDSTR})
+	endif()
+endif()
+
+# If BUILD is set (we have a version) and BUILDSTR is not (we got that build from
+# git), then write a tqslbuild.h. Else leave it alone.
+if(BUILD AND NOT BUILDSTR)
+	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h")
+else() #hope this is a source distribution, which will always include a correct tqslbuild
+	if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h")
+		#but otherwise someone downloaded a snapshot without a buildfile
+		set(BUILD "unknown")
+		configure_file("${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/apps/tqslbuild.h")
+	endif()
+endif()
+
+# In case the versions couldn't be deduced, set them
+if(NOT ${TQSL_VERSION_MAJOR})
+	set(TQSL_VERSION_MAJOR 2)
+endif()
+
+if(NOT TQSL_VERSION_MINOR)
+	set(TQSL_VERSION_MINOR 1)
+endif()
+
+if (NOT TQSL_VERSION_UPDATE)
+	set(TQSL_VERSION_UPDATE 0)
+endif()
+
+IF(TQSL_VERSION_UPDATE AND NOT TQSL_VERSION_UPDATE EQUAL 0) 
+	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}.${TQSL_VERSION_UPDATE}")
+else()
+	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}")
+endif()
+#
 add_subdirectory(src) #tqsllib
 add_subdirectory(apps)
 macro_optional_add_subdirectory(tests)
