=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,9 @@
 
 add_definitions(-DTQSLLIB_VERSION_MAJOR=${TQSLLIB_VERSION_MAJOR})
 add_definitions(-DTQSLLIB_VERSION_MINOR=${TQSLLIB_VERSION_MINOR})
+add_definitions(-DTQSL_VERSION_MAJOR=${TQSL_VERSION_MAJOR})
+add_definitions(-DTQSL_VERSION_MINOR=${TQSL_VERSION_MINOR})
+add_definitions(-DTQSL_VERSION_UPDATE=${TQSL_VERSION_UPDATE})
 
 option(TQSLLIB_STATIC "Build static tqsllib" OFF)
 if (${TQSLLIB_STATIC})
