=== debian/changelog ===
trustedqsl (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4

 -- tony mancill <tmancill@debian.org>  Sun, 24 May 2020 11:06:46 -0700

trustedqsl (2.5.3-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Mute lintian warning for src/doxygen/html/menu.js.

  [ tony mancill ]
  * New upstream version 2.5.3
  * Refresh patches against new upstream version
  * Set CMAKE_INSTALL_MANDIR during build
  * Bump Standards-Version to 4.5.0
  * Add myself to Uploaders

 -- tony mancill <tmancill@debian.org>  Sat, 02 May 2020 10:43:52 -0700
