=== debian/changelog ===
trustedqsl (2.5.5-1) unstable; urgency=medium

  * New upstream version 2.5.5

 -- tony mancill <tmancill@debian.org>  Sun, 13 Sep 2020 11:51:22 -0700
