## trustedqsl 2.5.6

=== debian/changelog ===
trustedqsl (2.5.6-1) unstable; urgency=medium

  * New upstream version 2.5.6
  * Update to debhelper compat level 13
  * Freshen debian/copyright
  * Refresh patches for new upstream release

 -- tony mancill <tmancill@debian.org>  Sun, 15 Nov 2020 15:31:21 -0800
