=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 if(WIN32)
   add_definitions(-DXML_STATIC)
+endif()
+
+if(APPLE)
+  set(CMAKE_MACOSX_RPATH 0)
 endif()
 
 find_package(EXPAT REQUIRED)
