=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,5 @@
 	    > debian/tmp/tqsl.1
 	dh_installman
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_INSTALL_MANDIR=/usr/share/man
