=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 # older versions, e.g. TrustedQSL-1.13 ==> 1.13
 #http://sf.net/trustedqsl/TrustedQSL-([\d\.]+)\.tar\.gz
