## trustedqsl 2.5.8

=== debian/changelog ===
trustedqsl (2.5.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Sun, 15 Aug 2021 09:46:46 -0700

trustedqsl (2.5.8-1) experimental; urgency=medium

  * New upstream version 2.5.8
  * Bump Standards-Version to 4.5.1

 -- tony mancill <tmancill@debian.org>  Tue, 10 Aug 2021 21:02:17 -0700

trustedqsl (2.5.7-2) experimental; urgency=medium

  * Switch to LMDB; libdb is obsolete.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Apr 2021 17:51:04 +0200
