=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libcurl4-openssl-dev,
-               libdb-dev,
                libexpat1-dev,
+               liblmdb-dev,
                libssl-dev,
                libwxgtk3.0-gtk3-dev,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/trustedqsl
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/trustedqsl.git
 Homepage: https://sourceforge.net/projects/trustedqsl/
