## trustedqsl 2.5.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,13 @@
 
 find_package(OpenSSL REQUIRED)
 
+
 if ( CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64" )
-  ADD_COMPILE_OPTIONS("-fPIC")
+  if ( CMAKE_VERSION VERSION_LESS 2.8.12 )
+    SET ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )
+  else()
+    ADD_COMPILE_OPTIONS("-fPIC")
+  endif ( CMAKE_VERSION VERSION_LESS 2.8.12 )
 endif( CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64" )
 
 SET (LINUX FALSE)
