=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
 	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
 	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
-	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2020 American Radio Relay League")
+	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2021 American Radio Relay League")
 
 	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
 	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
@@ -107,7 +107,8 @@
 	install(FILES lang/it/tqslapp.mo DESTINATION share/locale/it/LC_MESSAGES)
 	install(FILES lang/ja/tqslapp.mo DESTINATION share/locale/ja/LC_MESSAGES)
 	install(FILES lang/pt/tqslapp.mo DESTINATION share/locale/pt/LC_MESSAGES)
-	install(FILES lang/zh/tqslapp.mo DESTINATION share/locale/zh/LC_MESSAGES)
+	install(FILES lang/zh_TW/tqslapp.mo DESTINATION share/locale/zh_TW/LC_MESSAGES)
+	install(FILES lang/zh_CN/tqslapp.mo DESTINATION share/locale/zh_CN/LC_MESSAGES)
 	install(FILES lang/ru/tqslapp.mo DESTINATION share/locale/ru/LC_MESSAGES)
 	install(FILES languages.dat DESTINATION share/TrustedQSL)
 	install(FILES cab_modes.dat DESTINATION share/TrustedQSL)
