=== debian/changelog ===
trustedqsl (2.5.9-2) unstable; urgency=medium

  * Add patch for compatibility with OpenSSL 3 (Closes: #1001358)

 -- tony mancill <tmancill@debian.org>  Wed, 08 Dec 2021 18:56:31 -0800

trustedqsl (2.5.9-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Retire Kamal, Jaime, Patrick, Jerry, and Colin from Uploaders.
    (Closes: #990593)

  [ tony mancill ]
  * New upstream version 2.5.9
  * Bump Standards-Version to 4.6.0
  * Update patches for new upstream release.

 -- tony mancill <tmancill@debian.org>  Sun, 07 Nov 2021 15:41:26 -0800
