=== debian/control ===
--- 
+++ 
@@ -1,11 +1,6 @@
 Source: trustedqsl
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Kamal Mostafa <kamal@whence.com>,
-           Jaime Robles <jaime@debian.org>,
-           Patrick Ouellette <pouelle@debian.org>,
-           Jerry Stueve <k4int@arrl.net>,
-           Colin Tuckley <colint@debian.org>,
-           Christoph Berg <myon@debian.org>,
+Uploaders: Christoph Berg <myon@debian.org>,
            tony mancill <tmancill@debian.org>
 Section: hamradio
 Priority: optional
@@ -17,7 +12,7 @@
                libssl-dev,
                libwxgtk3.0-gtk3-dev,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/trustedqsl
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/trustedqsl.git
 Homepage: https://sourceforge.net/projects/trustedqsl/
